<!DOCTYPE html>
<!--
-- Copyright (c) 2024 Alexander Exner.
--
-- This file is part of strom
-- (see https://gitlab.com/exner.occupational/strom).
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program. If not, see <http://www.gnu.org/licenses/>.
-->

<table border="1">

<thead><tr><th>Start Time</th><th>End Time</th><th>Action</th><th>X</th></tr></thead>
<tbody>
  {% for my_dt, planned in schedule.get_my_intervals().items() -%}
  <tr>
  <td>{{ my_dt.to_short_rel_str(vienna=True) }}</td>
  <td>{{ (my_dt + planned.duration).to_short_rel_str(vienna=True) }}</td>
  <td>{{ planned.action.name }}</td>
  <td><input type="button" onClick="deleteAction('{{ schedule.get_schedule_name() }}', '{{ my_dt.isoformat() }}')" /></td>
  </tr>
  {% endfor %}
</tbody>
</table>
